const generator = require('./generator');
const AST = require('../core/ast');

module.exports = {
  fromFile: (file) => {
    const ast = new AST();
    ast.fromFile(file);
    return generator(ast);
  },
  fromCode: (code, fileName) => {
    const ast = new AST();
    ast.fromCode(code, fileName);
    return generator(ast);
  },
};
