export type Cloth = {
  /** /^\w{1,3}$/ :; 品牌 */
  brand: string;
  price: number;
}

export type User = {
  /** /^\w{1,3}$/ :; 名称 */
  name: string,
  /** [0, 200] :; 年龄 */
  age: number,
  /** 0.8 :; 性别 */
  male: boolean,
  cloth: 'T-shirt' | 1 | false | string | Cloth;
  hair: 'no-hair',
};

export default User;