const fs = require('fs');
const visiond = require('../src/d.ts');

// const current = `${process.cwd()}/packages/api-loader`;
const current = process.cwd();

const dir = `${current}/node_modules/@alifd/next/types/`;
const comps = fs.readdirSync(dir);
const codes = comps.map((file) => {
  try {
    return {
      name: file,
      code: fs.readFileSync(`${current}/node_modules/@alifd/next/types/${file}/index.d.ts`, { encoding: 'utf8' }),
    };
  } catch (e) {
    return '';
  }
});

codes.forEach(({ name, code }, index) => {
  if (!code) return;
  console.log(`\n\n######## ${name}${index} #########`);
  console.time(name);
  console.log(visiond.fromCode(code, `${name}/index.d.ts`));
  console.timeEnd(name);
});
