const path = require('path');
// const BundleAnalyzerPlugin = require('webpack-bundle-analyzer').BundleAnalyzerPlugin;

module.exports = {
  entry: './src/d.ts/index.js',
  output: {
    filename: 'dts.js',
    path: path.resolve(__dirname, 'dist'),
    libraryTarget: 'umd',
    library: 'dts',
    globalObject: 'this',
  },
  mode: process.env.mode === 'dev' ? 'development' : 'production',
  target: 'web',
  plugins: [
    // new BundleAnalyzerPlugin()
  ],
  externals : {
    typescript: 'ts',
    lodash : '_',
  },
};